'------------------------------------------------------
'                 Driver za I2C LCD MODUL
'------------------------------------------------------
$lib "lcd_i2c_v2.lib"                                       'I2C driver za LCD

Const Pcf_d4 = 4                                            ' Definiranje spajanja izlaza PCF8574 na LCD
Const Pcf_d5 = 5
Const Pcf_d6 = 6
Const Pcf_d7 = 7
Const Pcf_rs = 0
Const Pcf_rw = 1                                            'izlaz za RW (default: 0 = Write)
Const Pcf_e2 = 3                                            'E2 se koristi za Backlight LCD-a
Const Pcf_e1 = 2
'-------------------------------------

Const Pcf_e2_is_output = 1                                  'omoguci upravljanje izlazom Pcf_e2 za Backlight
Const Pcf_rw_is_output = 1                                  'omoguci upravljanje izlazom Pcf_rw za Write

Dim _backlight As Byte
Dim _out_rw As Byte

_backlight = 1                                              'Default: _backlight=1 --> LCD svijetli, za _backlight=0 --> LCD ne svijetli

_out_rw = 0                                                 'Default: izlaz _out_rw je trajno 0, omogucen samo Write na LCD
'------------------------------------

Dim _lcd_e As Byte

'Byte varijabla potrebna za kontrolu 4 linija za LCD (E1,E2,RW i RS)
'_lcd_e = 128 izbor E1, 64 izbor E2, 192 select oba (za CLS ili DefLCDChar, te za 4 linijski LCD)

_lcd_e = 128                                                ' za E je izabran E1 ili gornja polovica 4-linijskog LCD displeja

'-------------------------------------------------------